Vue Badge Component

Badge

Vue badge component is small count and labeling component.

Available in Other JavaScript Frameworks

CoreUI Vue Badge Component is also available for Angular, Bootstrap, and React. Explore framework-specific implementations below:

Example

Badge component scales to suit the size of the parent element by using relative font sizing and em units.

Basic usage

vue
<template>
  <h1>Example heading <CBadge color="secondary">New</CBadge></h1>
  <h2>Example heading <CBadge color="secondary">New</CBadge></h2>
  <h3>Example heading <CBadge color="secondary">New</CBadge></h3>
  <h4>Example heading <CBadge color="secondary">New</CBadge></h4>
  <h5>Example heading <CBadge color="secondary">New</CBadge></h5>
  <h6>Example heading <CBadge color="secondary">New</CBadge></h6>
</template>

<script setup>
import { CBadge } from '@coreui/vue'
</script>

Badges can be used as part of links or buttons to provide a counter.

vue
<template>
  <CButton color="primary"> Notifications <CBadge color="secondary">4</CBadge> </CButton>
</template>

<script setup>
import { CButton, CBadge } from '@coreui/vue'
</script>

Remark that depending on how you use them, badges may be complicated for users of screen readers and related assistive technologies.

Unless the context is clear, consider including additional context with a visually hidden piece of additional text.

vue
<template>
  <CButton color="primary">
    Profile <CBadge color="secondary">9</CBadge>
    <span class="visually-hidden">unread messages</span>
  </CButton>
</template>

<script setup>
import { CButton, CBadge } from '@coreui/vue'
</script>

Positioned

Use position prop to modify a component and position it in the corner of a link or button.

vue
<template>
  <CButton color="primary" class="position-relative">
    Profile
    <CBadge color="danger" position="top-start" shape="rounded-pill">
      99+ <span class="visually-hidden">unread messages</span>
    </CBadge>
  </CButton>
  <CButton color="primary" class="position-relative ms-1">
    Profile
    <CBadge color="danger" position="top-end" shape="rounded-pill">
      99+ <span class="visually-hidden">unread messages</span>
    </CBadge>
  </CButton>
  <br />
  <CButton color="primary" class="position-relative">
    Profile
    <CBadge color="danger" position="bottom-start" shape="rounded-pill">
      99+ <span class="visually-hidden">unread messages</span>
    </CBadge>
  </CButton>
  <CButton color="primary" class="position-relative ms-1">
    Profile
    <CBadge color="danger" position="bottom-end" shape="rounded-pill">
      99+ <span class="visually-hidden">unread messages</span>
    </CBadge>
  </CButton>
</template>

<script setup>
import { CButton, CBadge } from '@coreui/vue'
</script>

You can also create more generic indicators without a counter using a few more utilities.

vue
<template>
  <CButton color="primary" class="position-relative">
    Profile
    <CBadge
      class="border border-light p-2"
      color="danger"
      position="top-end"
      shape="rounded-circle"
    >
      <span class="visually-hidden">New alerts</span>
    </CBadge>
  </CButton>
</template>

<script setup>
import { CButton, CBadge } from '@coreui/vue'
</script>

Contextual variations

Add any of the below-mentioned color props to modify the presentation of a badge.

vue
<template>
  <CBadge color="primary">primary</CBadge>
  <CBadge color="success">success</CBadge>
  <CBadge color="danger">danger</CBadge>
  <CBadge color="warning">warning</CBadge>
  <CBadge color="info">info</CBadge>
  <CBadge text-bg-color="light">light</CBadge>
  <CBadge color="dark">dark</CBadge>
</template>

<script setup>
import { CBadge } from '@coreui/vue'
</script>

You can also apply contextual variations with the textBgColor property, which automatically sets the text color to ensure compliance with the WCAG 4.5:1 contrast ratio standard for enhanced accessibility.

vue
<template>
  <CBadge text-bg-color="primary">primary</CBadge>
  <CBadge text-bg-color="success">success</CBadge>
  <CBadge text-bg-color="danger">danger</CBadge>
  <CBadge text-bg-color="warning">warning</CBadge>
  <CBadge text-bg-color="info">info</CBadge>
  <CBadge text-bg-color="light">light</CBadge>
  <CBadge text-bg-color="dark">dark</CBadge>
</template>

<script setup>
import { CBadge } from '@coreui/vue'
</script>

Pill badges

Apply the shape="rounded-pill" prop to make badges rounded.

vue
<template>
  <CBadge color="primary" shape="rounded-pill">primary</CBadge>
  <CBadge color="success" shape="rounded-pill">success</CBadge>
  <CBadge color="danger" shape="rounded-pill">danger</CBadge>
  <CBadge color="warning" shape="rounded-pill">warning</CBadge>
  <CBadge color="info" shape="rounded-pill">info</CBadge>
  <CBadge text-bg-color="light" shape="rounded-pill">light</CBadge>
  <CBadge color="dark" shape="rounded-pill">dark</CBadge>
</template>

<script setup>
import { CBadge } from '@coreui/vue'
</script>

API

Check out the documentation below for a comprehensive guide to all the props you can use with the components mentioned here.

Angular Badge Component

Badge

Angular badge component is small count and labeling component.

Available in Other JavaScript Frameworks

CoreUI Angular Badge Component is also available for Bootstrap, React, and Vue. Explore framework-specific implementations below:

Example

Badge component scales to suit the size of the parent element by using relative font sizing and em units.

import { Component } from '@angular/core';
import { BadgeComponent } from '@coreui/angular';

@Component({
  selector: 'docs-badge-example',
  templateUrl: './badge-example.component.html',
  imports: [BadgeComponent]
})
export class BadgeExampleComponent {}
<h1>Example heading <c-badge color="secondary">New</c-badge></h1>
<h2>Example heading <c-badge color="secondary">New</c-badge></h2>
<h3>Example heading <c-badge color="secondary">New</c-badge></h3>
<h4>Example heading <c-badge color="secondary">New</c-badge></h4>
<h5>Example heading <c-badge color="secondary">New</c-badge></h5>
<h6>Example heading <c-badge color="secondary">New</c-badge></h6>
import { Component } from '@angular/core';
import { BadgeComponent, ButtonDirective } from '@coreui/angular';

@Component({
  selector: 'docs-badge-example-2',
  templateUrl: './badge-example-2.component.html',
  imports: [ButtonDirective, BadgeComponent]
})
export class BadgeExample2Component {}
<button cButton color="primary">
  Profile <c-badge color="secondary">9</c-badge>
  <span class="visually-hidden">unread messages</span>
</button>

Contextual variations

Add any of the below-mentioned color props to modify the presentation of a badge.

import { Component } from '@angular/core';
import { BadgeComponent } from '@coreui/angular';

@Component({
  selector: 'docs-badge-contextual-variations',
  templateUrl: './badge-contextual-variations.component.html',
  imports: [BadgeComponent]
})
export class BadgeContextualVariationsComponent {}
<c-badge color="primary">primary</c-badge>
<c-badge color="success">success</c-badge>
<c-badge color="danger">danger</c-badge>
<c-badge color="warning">warning</c-badge>
<c-badge color="info">info</c-badge>
<c-badge color="light">light</c-badge>
<c-badge color="dark">dark</c-badge>

Pill badges

Apply the shape="rounded-pill" prop to make badges rounded.

import { Component } from '@angular/core';
import { BadgeComponent } from '@coreui/angular';

@Component({
  selector: 'docs-badge-pill-badges',
  templateUrl: './badge-pill-badges.component.html',
  imports: [BadgeComponent]
})
export class BadgePillBadgesComponent {}
<c-badge color="primary" shape="rounded-pill">primary</c-badge>
<c-badge color="success" shape="rounded-pill">success</c-badge>
<c-badge color="danger" shape="rounded-pill">danger</c-badge>
<c-badge color="warning" shape="rounded-pill">warning</c-badge>
<c-badge color="info" shape="rounded-pill">info</c-badge>
<c-badge color="light" shape="rounded-pill">light</c-badge>
<c-badge color="dark" shape="rounded-pill">dark</c-badge>

Positioned badges

Use position prop to place a c-badge component it in the corner of a link or button.

import { Component } from '@angular/core';
import { BadgeComponent, ButtonDirective } from '@coreui/angular';

@Component({
  selector: 'docs-badge-positioned-badges',
  templateUrl: './badge-positioned-badges.component.html',
  imports: [ButtonDirective, BadgeComponent]
})
export class BadgePositionedBadgesComponent {}
<button cButton color="primary" class="position-relative m-1">
    Profile
    <c-badge color="danger" position="top-start" shape="rounded-pill">99+</c-badge>
    <span class="visually-hidden">unread messages</span>
</button>

<button cButton color="primary" class="position-relative m-1">
    Profile
    <c-badge color="danger" position="top-end" shape="rounded-pill">99+</c-badge>
    <span class="visually-hidden">unread messages</span>
</button>

<br>

<button cButton color="primary" class="position-relative m-1">
    Profile
    <c-badge color="danger" position="bottom-start" shape="rounded-pill">99+</c-badge>
    <span class="visually-hidden">unread messages</span>
</button>

<button cButton color="primary" class="position-relative m-1">
    Profile
    <c-badge color="danger" position="bottom-end" shape="rounded-pill">99+</c-badge>
    <span class="visually-hidden">unread messages</span>
</button>

API

Badge Module

ts
import { NgModule } from '@angular/core';
import { BadgeModule } from '@coreui/angular';

@NgModule({
  imports: [BadgeModule]
})
export class CustomAppModule {}

Badge Standalone

ts
import { Component } from '@angular/core';
import { BadgeComponent } from '@coreui/angular';

@Component({
  template: `<c-badge>42</c-badge>`,
  imports: [BadgeComponent],
  standalone: true
})
export class CustomAppComponent {}

c-badge

component

jsx
import { BadgeComponent } from '@coreui/angular'
PropertyDefaultType
color-string

Sets the color context of the component to one of CoreUI’s themed colors.

position-BadgePositions

Position badge in one of the corners of a link or button.

shape-string

Select the shape of the component.

size-'sm'

Size the component small.

textBgColor5.0.0+-string

Sets the component's color scheme to one of CoreUI's themed colors, ensuring the text color contrast adheres to the WCAG 4.5:1 contrast ratio standard for accessibility. via TextBgColorDirective

textColor-string

Sets the text color of the component to one of CoreUI’s themed colors. via TextColorDirective

React Badge Component

Badge

React badge component is small count and labeling component.

Available in Other JavaScript Frameworks

CoreUI React Badge Component is also available for Angular, Bootstrap, and Vue. Explore framework-specific implementations below:

How to use React Badge Component.

React badge component scales to suit the size of the parent element by using relative font sizing and em units.

import React from 'react'
import { CBadge } from '@coreui/react'

export const BadgeExample = () => {
  return (
    <>
      <h1>
        Example heading <CBadge color="secondary">New</CBadge>
      </h1>
      <h2>
        Example heading <CBadge color="secondary">New</CBadge>
      </h2>
      <h3>
        Example heading <CBadge color="secondary">New</CBadge>
      </h3>
      <h4>
        Example heading <CBadge color="secondary">New</CBadge>
      </h4>
      <h5>
        Example heading <CBadge color="secondary">New</CBadge>
      </h5>
      <h6>
        Example heading <CBadge color="secondary">New</CBadge>
      </h6>
    </>
  )
}
import React from 'react'
import { CBadge } from '@coreui/react'

export const BadgeExample = () => {
  return (
    <>
      <h1>
        Example heading <CBadge color="secondary">New</CBadge>
      </h1>
      <h2>
        Example heading <CBadge color="secondary">New</CBadge>
      </h2>
      <h3>
        Example heading <CBadge color="secondary">New</CBadge>
      </h3>
      <h4>
        Example heading <CBadge color="secondary">New</CBadge>
      </h4>
      <h5>
        Example heading <CBadge color="secondary">New</CBadge>
      </h5>
      <h6>
        Example heading <CBadge color="secondary">New</CBadge>
      </h6>
    </>
  )
}

React badges can be used as part of links or buttons to provide a counter.

import React from 'react'
import { CBadge, CButton } from '@coreui/react'

export const Badge2Example = () => {
  return (
    <CButton color="primary">
      Notifications <CBadge color="secondary">4</CBadge>
    </CButton>
  )
}
import React from 'react'
import { CBadge, CButton } from '@coreui/react'

export const Badge2Example = () => {
  return (
    <CButton color="primary">
      Notifications <CBadge color="secondary">4</CBadge>
    </CButton>
  )
}

Remark that depending on how you use them, React badges may be complicated for users of screen readers and related assistive technologies.

Unless the context is clear, consider including additional context with a visually hidden piece of additional text.

import React from 'react'
import { CBadge, CButton } from '@coreui/react'

export const Badge3Example = () => {
  return (
    <CButton color="primary">
      Profile <CBadge color="secondary">9</CBadge>
      <span className="visually-hidden">unread messages</span>
    </CButton>
  )
}
import React from 'react'
import { CBadge, CButton } from '@coreui/react'

export const Badge3Example = () => {
  return (
    <CButton color="primary">
      Profile <CBadge color="secondary">9</CBadge>
      <span className="visually-hidden">unread messages</span>
    </CButton>
  )
}

Positioned

Use position prop to modify a component and position it in the corner of a link or button.

import React from 'react'
import { CBadge, CButton } from '@coreui/react'

export const BadgePositionedExample = () => {
  return (
    <>
      <CButton color="primary" className="position-relative">
        Profile
        <CBadge color="danger" position="top-start" shape="rounded-pill">
          99+ <span className="visually-hidden">unread messages</span>
        </CBadge>
      </CButton>
      <CButton color="primary" className="position-relative">
        Profile
        <CBadge color="danger" position="top-end" shape="rounded-pill">
          99+ <span className="visually-hidden">unread messages</span>
        </CBadge>
      </CButton>
      <br />
      <CButton color="primary" className="position-relative">
        Profile
        <CBadge color="danger" position="bottom-start" shape="rounded-pill">
          99+ <span className="visually-hidden">unread messages</span>
        </CBadge>
      </CButton>
      <CButton color="primary" className="position-relative">
        Profile
        <CBadge color="danger" position="bottom-end" shape="rounded-pill">
          99+ <span className="visually-hidden">unread messages</span>
        </CBadge>
      </CButton>
    </>
  )
}
import React from 'react'
import { CBadge, CButton } from '@coreui/react'

export const BadgePositionedExample = () => {
  return (
    <>
      <CButton color="primary" className="position-relative">
        Profile
        <CBadge color="danger" position="top-start" shape="rounded-pill">
          99+ <span className="visually-hidden">unread messages</span>
        </CBadge>
      </CButton>
      <CButton color="primary" className="position-relative">
        Profile
        <CBadge color="danger" position="top-end" shape="rounded-pill">
          99+ <span className="visually-hidden">unread messages</span>
        </CBadge>
      </CButton>
      <br />
      <CButton color="primary" className="position-relative">
        Profile
        <CBadge color="danger" position="bottom-start" shape="rounded-pill">
          99+ <span className="visually-hidden">unread messages</span>
        </CBadge>
      </CButton>
      <CButton color="primary" className="position-relative">
        Profile
        <CBadge color="danger" position="bottom-end" shape="rounded-pill">
          99+ <span className="visually-hidden">unread messages</span>
        </CBadge>
      </CButton>
    </>
  )
}

You can also create more generic indicators without a counter using a few more utilities.

import React from 'react'
import { CBadge, CButton } from '@coreui/react'

export const BadgePositioned2Example = () => {
  return (
    <CButton color="primary" className="position-relative">
      Profile
      <CBadge
        className="border border-light p-2"
        color="danger"
        position="top-end"
        shape="rounded-circle"
      >
        <span className="visually-hidden">New alerts</span>
      </CBadge>
    </CButton>
  )
}
import React from 'react'
import { CBadge, CButton } from '@coreui/react'

export const BadgePositioned2Example = () => {
  return (
    <CButton color="primary" className="position-relative">
      Profile
      <CBadge
        className="border border-light p-2"
        color="danger"
        position="top-end"
        shape="rounded-circle"
      >
        <span className="visually-hidden">New alerts</span>
      </CBadge>
    </CButton>
  )
}

Contextual variations

Add any of the below-mentioned color props to modify the presentation of a React badge.

import React from 'react'
import { CBadge } from '@coreui/react'

export const BadgeContextualVariations = () => {
  return (
    <>
      <CBadge color="primary">primary</CBadge>
      <CBadge color="success">success</CBadge>
      <CBadge color="danger">danger</CBadge>
      <CBadge color="warning">warning</CBadge>
      <CBadge color="info">info</CBadge>
      <CBadge textBgColor="light">light</CBadge>
      <CBadge color="dark">dark</CBadge>
    </>
  )
}
import React from 'react'
import { CBadge } from '@coreui/react'

export const BadgeContextualVariations = () => {
  return (
    <>
      <CBadge color="primary">primary</CBadge>
      <CBadge color="success">success</CBadge>
      <CBadge color="danger">danger</CBadge>
      <CBadge color="warning">warning</CBadge>
      <CBadge color="info">info</CBadge>
      <CBadge textBgColor="light">light</CBadge>
      <CBadge color="dark">dark</CBadge>
    </>
  )
}

You can also apply contextual variations with the textBgColor property, which automatically sets the text color to ensure compliance with the WCAG 4.5:1 contrast ratio standard for enhanced accessibility.

import React from 'react'
import { CBadge } from '@coreui/react'

export const BadgeContextual2Variations = () => {
  return (
    <>
      <CBadge textBgColor="primary">primary</CBadge>
      <CBadge textBgColor="success">success</CBadge>
      <CBadge textBgColor="danger">danger</CBadge>
      <CBadge textBgColor="warning">warning</CBadge>
      <CBadge textBgColor="info">info</CBadge>
      <CBadge textBgColor="light">light</CBadge>
      <CBadge textBgColor="dark">dark</CBadge>
    </>
  )
}
import React from 'react'
import { CBadge } from '@coreui/react'

export const BadgeContextual2Variations = () => {
  return (
    <>
      <CBadge textBgColor="primary">primary</CBadge>
      <CBadge textBgColor="success">success</CBadge>
      <CBadge textBgColor="danger">danger</CBadge>
      <CBadge textBgColor="warning">warning</CBadge>
      <CBadge textBgColor="info">info</CBadge>
      <CBadge textBgColor="light">light</CBadge>
      <CBadge textBgColor="dark">dark</CBadge>
    </>
  )
}

Pill badges

Apply the shape="rounded-pill" prop to make badges rounded.

import React from 'react'
import { CBadge } from '@coreui/react'

export const BadgePillExample = () => {
  return (
    <>
      <CBadge color="primary" shape="rounded-pill">
        primary
      </CBadge>
      <CBadge color="success" shape="rounded-pill">
        success
      </CBadge>
      <CBadge color="danger" shape="rounded-pill">
        danger
      </CBadge>
      <CBadge color="warning" shape="rounded-pill">
        warning
      </CBadge>
      <CBadge color="info" shape="rounded-pill">
        info
      </CBadge>
      <CBadge textBgColor="light" shape="rounded-pill">
        light
      </CBadge>
      <CBadge color="dark" shape="rounded-pill">
        dark
      </CBadge>
    </>
  )
}
import React from 'react'
import { CBadge } from '@coreui/react'

export const BadgePillExample = () => {
  return (
    <>
      <CBadge color="primary" shape="rounded-pill">
        primary
      </CBadge>
      <CBadge color="success" shape="rounded-pill">
        success
      </CBadge>
      <CBadge color="danger" shape="rounded-pill">
        danger
      </CBadge>
      <CBadge color="warning" shape="rounded-pill">
        warning
      </CBadge>
      <CBadge color="info" shape="rounded-pill">
        info
      </CBadge>
      <CBadge textBgColor="light" shape="rounded-pill">
        light
      </CBadge>
      <CBadge color="dark" shape="rounded-pill">
        dark
      </CBadge>
    </>
  )
}

API

Check out the documentation below for a comprehensive guide to all the props you can use with the components mentioned here.